petsc-3.7.1 2016-05-15
Report Typos and Errors

# KSPGetType

Gets the KSP type as a string from the KSP object.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPGetType(KSP ksp,KSPType *type)

Not Collective Many br

### Input Parameter

ksp -Krylov context Many br

### Output Parameter

name -name of KSP method Many br

Many br

### Keywords

KSP, get, method, name

### See Also

KSPSetType()

Level:intermediate
Location:src/ksp/ksp/interface/itcreate.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages